Validate Flow
post
/rpa/v1/flows/actions/validate
Validates the DesignTime data without saving it into the flow.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThe information to be validated for errors.
Show Source
-
designTimeData: string
Indicates the design time data
-
projectId: string
Project
Response
Supported Media Types
- application/json
200 Response
A page of Flow Summary objects.
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : ValidateFlowResult
Type:
objectFlow payload related errors if any.
Show Source
-
errors(required): array
errors
List of errors associated with the flow definition.
Nested Schema : errors
Type:
arrayList of errors associated with the flow definition.
Show Source
-
Array of:
object FlowDefinitionError
Represent an error associated with the flow definition.
Nested Schema : FlowDefinitionError
Type:
objectRepresent an error associated with the flow definition.
Show Source
-
locator(required): object
Locator
Represents the locator for a node which threw the error
-
message(required): string
A human-readable message string.
Nested Schema : Locator
Type:
objectRepresents the locator for a node which threw the error
Show Source
-
argumentIndex: integer
Use the index if no argumentName is present
-
argumentName: string
Name of the argument if present
-
artifactType(required): string
Identifies type of the artifact
-
functionId: string
Id of the function(flow) needed for variable and action artifacts
-
id: string
Id of the artifact if present
-
index: integer
Use the index if no ID or name is present
-
name: string
Name of the artifact if present
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.